SimpleTypeVisitor14 (Java SE 23 & JDK 23)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: SimpleTypeVisitor14
Keywords: javax.lang.model.util.SimpleTypeVisitor14 class

# Class SimpleTypeVisitor14<R,P>

java.lang.Object
javax.lang.model.util.AbstractTypeVisitor6<R,P>
javax.lang.model.util.SimpleTypeVisitor6<R,P>
javax.lang.model.util.SimpleTypeVisitor7<R,P>
javax.lang.model.util.SimpleTypeVisitor8<R,P>
javax.lang.model.util.SimpleTypeVisitor9<R,P>
javax.lang.model.util.SimpleTypeVisitor14<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `TypeVisitor<R,P>`

Direct Known Subclasses:
  `SimpleTypeVisitorPreviewPREVIEW`

@SupportedSourceVersion(RELEASE_23) public class SimpleTypeVisitor14<R,P> extends SimpleTypeVisitor9<R,P>
A simple visitor of types with default behavior appropriate for source version `RELEASE_14`. Visit methods corresponding to `RELEASE_14` and earlier language constructs call `defaultAction`, passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  14
See Also:
  - Compatibility note for subclasses
  - `SimpleTypeVisitor6`
  - `SimpleTypeVisitor7`
  - `SimpleTypeVisitor8`
  - `SimpleTypeVisitor9`

- ## Field Summary

  ### Fields declared in class javax.lang.model.util.SimpleTypeVisitor6

  `DEFAULT_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SimpleTypeVisitor14()`
  Constructor for concrete subclasses; uses `null` for the default value.
  `protected`
  `SimpleTypeVisitor14(R defaultValue)`
  Constructor for concrete subclasses; uses the argument for the default value.

- ## Method Summary

  ### Methods declared in class javax.lang.model.util.SimpleTypeVisitor8

  `visitIntersection`

  ### Methods declared in class javax.lang.model.util.SimpleTypeVisitor7

  `visitUnion`

  ### Methods declared in class javax.lang.model.util.SimpleTypeVisitor6

  `defaultAction, visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

  ### Methods declared in class javax.lang.model.util.AbstractTypeVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleTypeVisitor14

    protected SimpleTypeVisitor14()
    Constructor for concrete subclasses; uses `null` for the default value.

  - ### SimpleTypeVisitor14

    protected SimpleTypeVisitor14(R defaultValue)
    Constructor for concrete subclasses; uses the argument for the default value.
    Parameters:
      `defaultValue` - the value to assign to `SimpleTypeVisitor6.DEFAULT_VALUE`